type: google.api.Service
config_version: 3
name: aistreams.googleapis.com
title: AI Streams API

apis:
- name: google.partner.aistreams.v1alpha1.AIStreams

types:
- name: google.partner.aistreams.v1alpha1.OperationMetadata

documentation:
  rules:
  - selector: google.iam.v1.IAMPolicy.GetIamPolicy
    description: |-
      Gets the access control policy for a resource. Returns an empty policy
      if the resource exists and does not have a policy set.

  - selector: google.iam.v1.IAMPolicy.SetIamPolicy
    description: |-
      Sets the access control policy on the specified resource. Replaces
      any existing policy.

      Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED`
      errors.

  - selector: google.iam.v1.IAMPolicy.TestIamPermissions
    description: |-
      Returns permissions that a caller has on the specified resource. If the
      resource does not exist, this will return an empty set of
      permissions, not a `NOT_FOUND` error.

      Note: This operation is designed to be used for building
      permission-aware UIs and command-line tools, not for authorization
      checking. This operation may "fail open" without warning.

backend:
  rules:
  - selector: 'google.iam.v1.IAMPolicy.*'
    deadline: 60.0
  - selector: 'google.longrunning.Operations.*'
    deadline: 60.0
  - selector: 'google.partner.aistreams.v1alpha1.AIStreams.*'
    deadline: 60.0

http:
  rules:
  - selector: google.iam.v1.IAMPolicy.GetIamPolicy
    get: '/v1alpha1/{resource=projects/*/locations/*/clusters/*}:getIamPolicy'
    additional_bindings:
    - get: '/v1alpha1/{resource=projects/*/locations/*/clusters/*/streams/*}:getIamPolicy'
  - selector: google.iam.v1.IAMPolicy.SetIamPolicy
    post: '/v1alpha1/{resource=projects/*/locations/*/clusters/*}:setIamPolicy'
    body: '*'
    additional_bindings:
    - post: '/v1alpha1/{resource=projects/*/locations/*/clusters/*/streams/*}:setIamPolicy'
      body: '*'
  - selector: google.iam.v1.IAMPolicy.TestIamPermissions
    post: '/v1alpha1/{resource=projects/*/locations/*/clusters/*}:testIamPermissions'
    body: '*'
    additional_bindings:
    - post: '/v1alpha1/{resource=projects/*/locations/*/clusters/*/streams/*}:testIamPermissions'
      body: '*'
  - selector: google.longrunning.Operations.CancelOperation
    post: '/v1alpha1/{name=projects/*/locations/*/operations/*}:cancel'
    body: '*'
  - selector: google.longrunning.Operations.DeleteOperation
    delete: '/v1alpha1/{name=projects/*/locations/*/operations/*}'
  - selector: google.longrunning.Operations.GetOperation
    get: '/v1alpha1/{name=projects/*/locations/*/operations/*}'
  - selector: google.longrunning.Operations.ListOperations
    get: '/v1alpha1/{name=projects/*/locations/*}/operations'

authentication:
  rules:
  - selector: 'google.iam.v1.IAMPolicy.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.longrunning.Operations.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.partner.aistreams.v1alpha1.AIStreams.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
